Foreman - Bug #990

wrong error message when looking for puppetca certificate list
06/15/2011 12:57 PM - Ohad Levy

Status: Resolved
Priority: Normal
Assignee: Paul Kelly
Category: PuppetCA
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
this happens when the proxy is not reachable:

undefined method "map' for true:TrueClass

History

#1 - 07/22/2011 08:00 AM - Paul Kelly
- Category set to PuppetCA
- Status changed from New to Feedback

- Assignee set to Ohad Levy

When | stop the smart-proxy and then http:/localhost:3000/smart_proxies/5/puppetca | get this message
Connection refused - connect(2)

Hardly elegant but certainly correct.

Could you see try this operation again?

#2 - 07/24/2011 03:11 AM - Ohad Levy
- Assignee changed from Ohad Levy to Paul Kelly

the main issue here (at least for the first error) is that the proxy library code checks the return code and the return length,

if its smaller then 2 it returns a true object.

any idea why we do that?

#3 - 07/24/2011 04:16 AM - Paul Kelly

the smallest valid reply is "{}", which is two characters. JSON.parse chokes on anything less than two characters.

| guess it is trying to say:-
| got a valid rely cos the code says ok
return the value that we got or say that we succeeded in doing whatever we were asked.

A delete operation returns nothing.

#4 - 07/24/2011 04:19 AM - Ohad Levy

Paul Kelly wrote:

the smallest valid reply is "{}", which is two characters. JSON.parse chokes on anything less than two characters.

| guess it is trying to say:-
| got a valid rely cos the code says ok
return the value that we got or say that we succeeded in doing whatever we were asked.

A delete operation returns nothing.

yeah, but in this case, it returns simply true, which is wrong... can we look into it again?
http://localhost:3000/smart_proxies/5/puppetca

#5 - 09/05/2011 08:50 AM - Ohad Levy
- Target version deleted (0.4)

#6 - 01/03/2013 11:54 AM - Benjamin Papillon

- Status changed from Feedback to New

#7 - 02/29/2016 06:40 AM - Greg Sutcliffe
- Description updated

- Status changed from New to Resolved

This is no longer valid in 1.12-develop - the Ul will correctly say that it can't contact the proxy.

Closing this, re-open if necessary :)
